﻿using Microsoft.Extensions.Logging;

namespace Sentry.reproduce;

public static class MauiProgram
{
	public static MauiApp CreateMauiApp()
	{
		var builder = MauiApp.CreateBuilder();
		builder
			.UseMauiApp<App>()
			.UseSentry(options =>
            {
                options.Dsn = "https://totest@testing.ingest.us.sentry.io/testing";
                options.Debug = false;
                options.EnableTracing = true;
                options.AttachStacktrace = true;
                options.StackTraceMode = StackTraceMode.Enhanced;
                options.TracesSampleRate = 1.0;
                options.IsGlobalModeEnabled = true;
                options.CaptureFailedRequests = true;
            })
            .ConfigureFonts(fonts =>
			{
				fonts.AddFont("OpenSans-Regular.ttf", "OpenSansRegular");
				fonts.AddFont("OpenSans-Semibold.ttf", "OpenSansSemibold");
			});

#if DEBUG
		builder.Logging.AddDebug();
#endif

		return builder.Build();
	}
}